Functions
IRQ Handler and Callbacks
Peripheral Driver » HAL Driver » I2C » Functions

IRQ Handler and Callbacks functions. More...

Collaboration diagram for IRQ Handler and Callbacks:

## Functions
void | hal_i2c_irq_handler (i2c_handle_t *p_i2c)
| This function handles I2C event interrupt request. More...
void | hal_i2c_master_tx_cplt_callback (i2c_handle_t *p_i2c)
| Master Tx Transfer completed callback. More...
void | hal_i2c_master_rx_cplt_callback (i2c_handle_t *p_i2c)
| Master Rx Transfer completed callback. More...
void | hal_i2c_slave_tx_cplt_callback (i2c_handle_t *p_i2c)
| Slave Tx Transfer completed callback. More...
void | hal_i2c_slave_rx_cplt_callback (i2c_handle_t *p_i2c)
| Slave Rx Transfer completed callback. More...
void | hal_i2c_mem_tx_cplt_callback (i2c_handle_t *p_i2c)
| Memory Tx Transfer completed callback. More...
void | hal_i2c_mem_rx_cplt_callback (i2c_handle_t *p_i2c)
| Memory Rx Transfer completed callback. More...
void | hal_i2c_listen_cplt_callback (i2c_handle_t *p_i2c)
| Listen Complete callback. More...
void | hal_i2c_error_callback (i2c_handle_t *p_i2c)
| I2C error callback. More...
void | hal_i2c_abort_cplt_callback (i2c_handle_t *p_i2c)
| I2C abort callback. More...

## Detailed Description

IRQ Handler and Callbacks functions.

## Function Documentation

## ◆ hal_i2c_abort_cplt_callback()

void hal_i2c_abort_cplt_callback | ( | i2c_handle_t * | p_i2c | ) |

I2C abort callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_abort_cplt_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_error_callback()

void hal_i2c_error_callback | ( | i2c_handle_t * | p_i2c | ) |

I2C error callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_error_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_irq_handler()

void hal_i2c_irq_handler | ( | i2c_handle_t * | p_i2c | ) |

This function handles I2C event interrupt request.

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_listen_cplt_callback()

void hal_i2c_listen_cplt_callback | ( | i2c_handle_t * | p_i2c | ) |

Listen Complete callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_listen_cplt_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_master_rx_cplt_callback()

void hal_i2c_master_rx_cplt_callback | ( | i2c_handle_t * | p_i2c | ) |

Master Rx Transfer completed callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_master_rx_cplt_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_master_tx_cplt_callback()

void hal_i2c_master_tx_cplt_callback | ( | i2c_handle_t * | p_i2c | ) |

Master Tx Transfer completed callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_master_tx_cplt_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_mem_rx_cplt_callback()

void hal_i2c_mem_rx_cplt_callback | ( | i2c_handle_t * | p_i2c | ) |

Memory Rx Transfer completed callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_mem_rx_cplt_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_mem_tx_cplt_callback()

void hal_i2c_mem_tx_cplt_callback | ( | i2c_handle_t * | p_i2c | ) |

Memory Tx Transfer completed callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_mem_tx_cplt_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_slave_rx_cplt_callback()

void hal_i2c_slave_rx_cplt_callback | ( | i2c_handle_t * | p_i2c | ) |

Slave Rx Transfer completed callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_slave_rx_cplt_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.

## ◆ hal_i2c_slave_tx_cplt_callback()

void hal_i2c_slave_tx_cplt_callback | ( | i2c_handle_t * | p_i2c | ) |

Slave Tx Transfer completed callback.

Note
  This function should not be modified. When the callback is needed, the hal_i2c_slave_tx_cplt_callback can be implemented in the user file

Parameters

  [in] | p_i2c | Pointer to an I2C handle which contains the configuration information for the specified I2C.